#ifndef __LOAD_SHADERS_H__
#define __LOAD_SHADERS_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define GL3_PROTOTYPES 1
#include <GL3/gl3.h>

#ifdef __cplusplus
extern "C" {
#endif


char* loadSource(const char *filename);
GLuint loadShader(GLenum type, const char *filename);

int linkGlProgram(GLuint programID);

#ifdef __cplusplus
}
#endif

#endif
